Bug 827457 - NFS can't pass >16 auxiliary group IDs
NFS can't pass >16 auxiliary group IDs
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Jeff Darcy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 10:15 EDT by Jeff Darcy
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:27:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Darcy 2012-06-01 10:15:35 EDT
There's just no place to put them in the NFS protocol.  However, for environments where UIDs and GIDs are well synchronized between clients and servers, we can resolve auxiliary group IDs on the server side.  With a little bit of caching, this has the additional benefit of not having to read /proc/$pid/status on every request (which is a pretty horrible performance hit).

This was/is a blocking issue for the fedorahosted deployment.
Comment 1 Amar Tumballi 2012-08-05 14:47:40 EDT
 http://review.gluster.com/3241 is commited to master branch

Note You need to log in before you can comment on or make changes to this bug.